File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes JBoss/WildFly and the fly likes setting up Drools in Galileo Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "setting up Drools in Galileo" Watch "setting up Drools in Galileo" New topic

setting up Drools in Galileo

Shashank Rudra
Ranch Hand

Joined: Mar 26, 2009
Posts: 131
Hi guys

I am working on setting up Drools5 in Galileo from last 2 weeks, gone through many links, and in fact am so confused at this moment.

Here are the recent ones that I followed
(I started with Ganymede in the hope that may be Eclipse3.4 will do the magic) But naah again I heard bodies saying try with the latest Eclipse, which comes with all the releases required.

Then I bumped in the posts on Ranch itself

And many more on the blogs, IRC sites, but I have not been able to make a concept on how to put all together.

Here I am attempting at only running the basic application, default drools project that Galileo gets you once you do a new Drool Project.

The error I first was getting related to some JDT, then I put this jar also in the classpath

The jars that I have in the drools runtime are
Now after all this now I am getting this error
Please help me out here. I have java1.6 on my machine. Same thing happening on other machine with JDK1.5 on that. Almost same problem I am getting while working on Ganymede as well. This plugins and features I have downloaded from
Here is the screenshot of the project that is set up in the IDE.

[Thumbnail for drools prject in IDE.JPG]

Programmer Analyst || J2EE web development/design
Consider Paul's rocket mass heater.
subject: setting up Drools in Galileo
It's not a secret anymore!